export const topics = {
    header: [
        "lgm/stage",
        "lgm/pending/prepEnr",
        "lgm/pending/prepDpnr",
        "lgm/pending/prod",
        "lgm/batch/prepEnr",
        "lgm/batch/prepDpnr",
        "lgm/batch/prod"
    ],
    enr25PreparationPage: [
        "lgm/data/FT101/water",
        "lgm/data/FT102/water",
        "lgm/data/LT101/level",
        "lgm/data/PHT101/ph",
        "lgm/data/XSV102/status",
        "lgm/device/MXR1",
        "lgm/data/TT101/temp",
        "lgm/data/TT102/temp",
        "lgm/data/TT103/temp",
        "lgm/data/TT104/temp",
        "lgm/data/TT105/temp",
        "lgm/data/TT106/temp",
        "lgm/data/TT108/temp",
        "lgm/data/TT109/temp",
        "lgm/data/XSV116/valve",
        "lgm/data/XSV120/valve",
        "lgm/device/HWP1",
        "lgm/device/CCWP1",
        "lgm/data/TCV102/valve",
        "lgm/data/TCV103/valve",
        "lgm/data/TCV104/valve",
        "lgm/data/TCV105/valve",
        "lgm/data/TCV109/valve",
        "lgm/data/autoMode/status",
        "lgm/data/LT101/level",
        "lgm/data/DP1/status",
        "lgm/data/XSV102/status",
        "lgm/data/XSV110/status",
        "lgm/data/XSV111/status",
        "lgm/data/XSV112/status",
        "lgm/data/XSV116/status",
        "lgm/data/XSV120/status",
        "lgm/data/XSV123/status",
        "lgm/data/WT101/bcStatus",
        "lgm/data/WT101/weight",
    ],
    enr25ProductionPage: [
        "lgm/data/ENR_DPNR/status",
        "lgm/data/LT105/level",
        "lgm/data/PCV101/valve",
        "lgm/data/PCV102/valve",
        "lgm/data/PCV103/valve",
        "lgm/data/PCV104/valve",
        "lgm/data/PT101/pressure",
        "lgm/data/PT102/pressure",
        "lgm/data/PT103/pressure",
        "lgm/data/PT104/pressure",
        "lgm/data/TT111/temp",
        "lgm/data/TT110/temp",
        "lgm/data/XCV101",
        "lgm/data/XSV121/status",
        "lgm/data/LAL105/status",
        "lgm/data/LAH105/status",
        "lgm/data/CAM201/camera",
        "lgm/data/CAM202/camera",
        "lgm/device/SNV1",
        "lgm/data/PHT201/ph",
        "lgm/data/TCV201/valve",
        "lgm/data/TT201/temp",
        "lgm/device/FXP1",
        "lgm/device/ETF1",
        "lgm/device/CVY6",
        "lgm/device/CVY7",
        "lgm/device/ETR1",
        "lgm/device/GNT1",
        "lgm/device/HEP1",
        "lgm/device/HEP2",
        "lgm/device/CCWP1",
        "lgm/device/PSP1",
        "lgm/device/PSP2",
        "lgm/device/RBT1",
        "lgm/data/autoMode/status",
        "lgm/process/EnrCoagulation",
        "lgm/process/EnrSoaking",
        "lgm/data/EnrSoaking/material_speed"
    ],
    dpnrPreparationPage: [
        "lgm/data/FT102/water",
        "lgm/data/FT101/water",
        "lgm/data/LT102/level",
        "lgm/data/LT106/level",
        "lgm/data/PHT102/ph",
        "lgm/data/XSV101/status",
        "lgm/data/XSV103/status",
        "lgm/data/XSV104/status",
        "lgm/data/XSV105/status",
        "lgm/data/XSV109/status",
        "lgm/data/XSV108/status",
        "lgm/data/XSV107/status",
        "lgm/data/XSV106/status",
        "lgm/data/XSV114/status",
        "lgm/data/XSV122/status",
        "lgm/data/XSV115/status",
        "lgm/device/FAS1",
        "lgm/device/MXR2",
        "lgm/device/RCT102",
        "lgm/data/autoMode/status",
        "lgm/data/WT102/bcStatus",
        "lgm/data/WT102/weight",
        "lgm/batch/prepDpnr"
    ],
    dpnrProductionPage: [
        "lgm/data/ENR_DPNR/status",
        "lgm/device/XCV101/status",
        "lgm/data/XCV101/level",
        "lgm/data/XCV117/status",
        "lgm/data/LAH103/status",
        "lgm/data/LAL103/status",
        "lgm/data/LT104/level",
        "lgm/data/XCV102/status",
        // "lgm/data/XCV102/temp",
        "lgm/data/XCV102/valve",
        "lgm/data/XCV103/status",
        // "lgm/data/XCV103/temp",
        "lgm/data/XCV103/valve",
        "lgm/data/XSV117/status",
        "lgm/data/LR201/level",
        "lgm/data/LR202/status",
        "lgm/data/LR203/status",
        "lgm/data/LR204/status",
        "lgm/data/LR205/status",
        "lgm/data/LR206/status",
        "lgm/device/BTP1",
        "lgm/device/BTP2",
        "lgm/device/CBP1",
        "lgm/device/CPR1",
        "lgm/device/CPR2",
        "lgm/device/CPR3",
        "lgm/device/CPR4",
        "lgm/device/CPR5",
        "lgm/device/CVY1",
        "lgm/device/CVY2",
        "lgm/device/CVY3",
        "lgm/device/CVY4",
        "lgm/device/CVY5",
        "lgm/data/autoMode/status",
        "lgm/batch/prod",
        "lgm/preset/CPR1",
        "lgm/preset/CPR2",
        "lgm/preset/CPR3",
        "lgm/preset/CPR4",
        "lgm/preset/CPR5",
        "lgm/preset/CVY1",
        "lgm/preset/CVY2",
        "lgm/preset/CVY3",
        "lgm/preset/CVY4",
        "lgm/preset/CVY5",
        "lgm/preset/FAS1",
        "lgm/preset/LR201",
        "lgm/preset/LT104",
        "lgm/preset/LT106",
        "lgm/preset/SHR1",
        "lgm/data/FLS1_R1/status",
        "lgm/data/FLS2_R2/status",
        "lgm/device/VSFS1"
    ],
    // ignore tanks page
    tanksPage: [
        "lgm/device/TCV102",
        "lgm/device/TCV103",
        "lgm/device/TCV104",
        "lgm/device/TCV105",
        "lgm/device/PHT101",
        "lgm/device/PHT101/ph",
        "lgm/device/RCT101",
        "lgm/device/RCT101_INV/inverter",
        "lgm/device/PHT102",
        "lgm/device/PHT102/ph",
        "lgm/device/RCT102",
        "lgm/device/RCT102_INV/inverter",
        "lgm/device/RCT103",
        "lgm/device/RCT103_INV/inverter",
        "lgm/device/LT103",
        "lgm/device/LT103/level"
    ],
    generalPage: [
        // boiler
        "lgm/data/BOILER_ALARM/status",
        "lgm/data/AL301/status",
        "lgm/data/AL302/status",
        "lgm/data/AL303/status",
        "lgm/data/PSW301/status",
        "lgm/data/PSW302/status",
        "lgm/data/TT301/temp",
        "lgm/data/TT302/temp",
        "lgm/data/LT301/status",
        "lgm/data/LAL301/status",
        "lgm/data/LAH301/status",
        // chilled water tank
        "lgm/data/LAH105/status",
        "lgm/data/LAL105/status",
        "lgm/data/TT110/temp",
        // chiller
        "lgm/data/CHR1/chiller",
        "lgm/data/LAH105/status",
        "lgm/data/LAL105/status",
        // dryer
        "lgm/data/DRYER/status",
        // "lgm/data/TROLLEY/status",
        "lgm/data/TROLLEY_CNT/counter",
        "lgm/data/THT501/humid",
        "lgm/data/THT501/temp",
        "lgm/data/THT502/humid",
        "lgm/data/THT502/temp",
        "lgm/data/TT503/temp",
        "lgm/data/TT504/temp",
        // hot water tank
        "lgm/data/TT108/temp",
        "lgm/data/LAH104/status",
        "lgm/data/LAL104/status",
        "lgm/data/TCV107/valve",
        "lgm/data/XSV119/status",
        "lgm/data/PCV105/valve",
        "lgm/data/PCV106/valve",
        "lgm/data/PT105/pressure",
        "lgm/data/PT106/pressure",
        // latex storage
        "lgm/data/LT103/level",
        "lgm/device/MXR3",
        "lgm/device/BFP1",
        "lgm/device/CDP1",
        "lgm/device/DSP1",
        "lgm/device/BNR1",
        "lgm/device/CWP1",
        // packaging
        "lgm/data/CNT1/counter",
        // water treatment
        "lgm/data/WTS_LEVEL/status",
        "lgm/data/LT401/level",
        "lgm/data/PHT401/ph"
    ],
    generalControlPage: [
        "lgm/device/ACP1",
        "lgm/device/HWP1",
        "lgm/device/MXR3",
        "lgm/data/CHR1/chiller",
        "lgm/data/XSV119/status",
        "lgm/data/TT108/temp",
        "lgm/data/TT201/temp"
    ]
};

export const connectToMQTT = () => {
    console.log("Connecting to MQTT");

    let client = window.mqtt.connect(process.env.VUE_APP_WEBSOCKET_URL, {
        port: process.env.VUE_APP_WEBSOCKET_PORT,
        username: process.env.VUE_APP_WEBSOCKET_USER,
        password: localStorage.getItem("token")
    });

    return client;
};
